Employees

List employees

Returns a paginated list of employees. Filter by branch, EWA access, or search by name, employee ID, or NIK.

GET
/employees

Returns a paginated list of employees. Filter by branch, EWA access, or search by name, employee ID, or NIK.

Authorization

secretKey
AuthorizationBearer <token>

Sandbox try-it accepts sk_test_… only.

In: header

Query Parameters

search?string

Matches full name, employee ID or NIK, case-insensitive.

branch_id?string
Formatuuid
is_ewa_active?boolean
page?integer
Range1 <= value
Default1
per_page?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/employees"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "employee_id": "string",      "full_name": "string",      "nik": "string",      "phone_number": "string",      "email": "user@example.com",      "branch_id": "7a4e8e99-89f2-4a0f-b66c-fc595dda2dbc",      "employment_type": "string",      "job_position": "string",      "basic_salary": 0,      "kasbon_limit": 0,      "bank_name": "string",      "bank_account_number": "string",      "join_date": "2019-08-24",      "end_date": "2019-08-24",      "contract_end": "2019-08-24",      "notice_period": "string",      "notes": "string",      "bank_account_name": "string",      "bank_verification_status": "string",      "is_ewa_active": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "current_page": 0,    "per_page": 0,    "total": 0,    "last_page": 0  },  "meta": {    "request_id": "string"  }}